%define name vino
%define version 2.20.0
%define release %mkrel 1

Summary: GNOME VNC server and client
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/vino/%{name}-%{version}.tar.bz2
Patch: vino-2.19.92-desktop-file.patch
License: GPL
Group: Networking/Remote access
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgnutls-devel
BuildRequires: perl-XML-Parser
BuildRequires: libxtst-devel
BuildRequires: libxdamage-devel
BuildRequires: desktop-file-utils

%description
The package contains an integrated GNOME VNC server.

%prep
%setup -q
%patch -p1

%build
#gw remove session support once we move to gnome-session 2.8
%configure2_5x --enable-session-support --enable-avahi
%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang %name --with-gnome
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/vino-server.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/vino-server.schemas > /dev/null
fi

%files -f %name.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS ChangeLog docs/remote-desktop.txt docs/TODO
%_sysconfdir/gconf/schemas/vino-server.schemas
%_bindir/vino-preferences
%_bindir/vino-session
%_libdir/bonobo/servers/GNOME_RemoteDesktop.server
%_libexecdir/vino-server
%_datadir/vino
%_datadir/applications/vino-preferences.desktop
%_datadir/icons/hicolor/48x48/apps/*


%changelog
* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89053
- new version

* Sun Sep 02 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 78383
- new version
- fix desktop entry

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63294
- new version

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 50682
- new version
- update file list

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14052
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141741
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 126025
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 106353
- new version
- fix buildrequires

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 99060
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-2mdv2007.1
+ Revision: 87901
- bot rebuild
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-3mdv2006.0
+ Revision: 63759
- rebuild
- fix menu category
- Import vino

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New version 2.16.0

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.13.5-6mdv2007.0
- Rebuild with latest dbus

* Sat Jul 01 2006 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdv2007.0
- Rebuild

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.13.5-4mdk
- Rebuild with latest dbus

* Tue Jan 24 2006 Gtz Waschk <waschk@mandriva.org> 2.13.5-3mdk
- fix buildrequires

* Mon Jan 23 2006 Olivier Blin <oblin@mandriva.com> 2.13.5-2mdk
- enable avahi

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdk
- New release 2.13.5
- use mkrel

* Wed Sep 07 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdk
- New release 2.12.0

* Tue Aug 23 2005 Götz Waschk <waschk@mandriva.org> 2.11.92-1mdk
- New release 2.11.92

* Sat Jul 30 2005 Gtz Waschk <waschk@mandriva.org> 2.11.90-1mdk
- New release 2.11.90

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 2.11.1.2-1mdk
- New release 2.11.1.2

* Sat May 21 2005 Gtz Waschk <waschk@mandriva.org> 2.11.1.1-1mdk
- New release 2.11.1.1

* Mon Mar 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.10.0-1mdk
- New release 2.10.0
- update file list

* Thu Oct 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- New release 2.8.1

* Thu Sep 30 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.0.1-1mdk
- New release 2.8.0.1

* Wed Sep 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- reenable session support
- New release 2.8.0

* Tue Aug 31 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.7.92-1mdk
- New release 2.7.92

* Fri Aug 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.7.91-2mdk
- fix buildrequires

* Wed Aug 18 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.7.91-1mdk
- New release 2.7.91

* Fri Aug 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.7.90-1mdk
- fix description
- New release 2.7.90

* Sat Jul 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.7.4-1mdk
- initial package

